"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pumpify_1 = __importDefault(require("pumpify"));
const split2_1 = __importDefault(require("split2"));
const through2_1 = __importDefault(require("through2"));
const options_1 = require("./options");
const handle_1 = require("./handle");
const transform_1 = require("./transform");
function safelyParseJSON(source) {
    try {
        const parsedObject = JSON.parse(source);
        return parsedObject;
    }
    catch (e) {
        console.log(e, source);
    }
}
function streamHandler() {
    return through2_1.default.obj((log, _enc, callback) => {
        const humioLogItem = (0, transform_1.parseLog)(log);
        (0, handle_1.handleLogItem)(humioLogItem, callback);
    });
}
function createWriteStream(options) {
    if (!options.ingestToken) {
        throw new Error('The Humio ingest token is required');
    }
    (0, options_1.setOptions)(options);
    return new pumpify_1.default((0, split2_1.default)(safelyParseJSON), streamHandler());
}
exports.default = createWriteStream;
//# sourceMappingURL=index.js.map