"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_fetch_1 = __importDefault(require("node-fetch"));
const options_1 = require("./options");
function submitLogItem({ log }) {
    const { baseURL, ingestToken, silent, callback } = options_1.options;
    const url = (baseURL.length ? baseURL : 'https://cloud.community.humio.com') + '/api/v1/ingest/humio-structured';
    const headers = {
        'Content-Type': 'application/json',
        Authorization: 'Bearer ' + ingestToken,
    };
    const data = [
        {
            events: [log],
        },
    ];
    (0, node_fetch_1.default)(url, {
        method: 'POST',
        headers,
        body: JSON.stringify(data),
    })
        .then((result) => {
        return callback ? callback(result) : null;
    })
        .catch((error) => {
        if (!silent) {
            console.error(error);
        }
        return callback ? callback(error) : null;
    });
}
exports.default = submitLogItem;
//# sourceMappingURL=send-logs.js.map