"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseLog = exports.convertLevel = void 0;
const options_1 = require("./options");
const convertLevel = (level) => {
    if (typeof level === 'string') {
        return level;
    }
    if (level >= 60) {
        return 'fatal';
    }
    if (level >= 50) {
        return 'error';
    }
    if (level >= 40) {
        return 'warning';
    }
    if (level >= 30) {
        return 'info';
    }
    if (level >= 20) {
        return 'debug';
    }
    return 'trace';
};
exports.convertLevel = convertLevel;
function parseLog(log) {
    let level = log?.level ?? '';
    const timestamp = log?.timestamp || log?.time || new Date().getTime();
    if (log?.level) {
        level = (0, exports.convertLevel)(log.level);
    }
    const attributes = (options_1.options?.ignore || '').split(',');
    attributes.forEach((attribute) => delete log[attribute]);
    return {
        attributes: { ...log, level, ...options_1.options.additionalAttributes },
        timestamp,
        timezone: options_1.options?.timezone,
    };
}
exports.parseLog = parseLog;
//# sourceMappingURL=transform.js.map